Subject: bug#10709: Feature request: vc-hg should activate smerge-mode for conflicts

From: Stefan Monnier <[email-masked]>
Date: Fri, 03 Feb 2012 13:43:01 -0500

>> vc-svn has the useful behaviour (via vc-svn-find-file-hook) that when
>> you visit a file with conflicts, it drops you into smerge-mode, and
>> automatically marks the file as resolved once you've removed all
>> conflict markers. This makes for a very seamless editing experience. :-)
>> It would be nice if vc-hg did the same.
> I guess you need to get hg to generate standard conflict markers. Ref:
> https://lists.ubuntu.com/archives/bazaar/2012q1/074313.html

Note: I do not know that hg uses non-standard conflict markers.

        Stefan